Subject: Re: Bug in 4.52 (and others)?

From: Jeff Franklin <[email-masked]>
Date: Mon, 3 Feb 2003 18:43:20 -0800 (Pacific Standard Time)

On Tue, 21 Jan 2003, Stefan Goessling-Reisemann wrote:

> I start Unix-Pine (4.33 on different Unixes/Linux) and PC-Pine (4.44,
> 4.51, 4.52, 4.53 on Win 98, NT, XP) on different machines with the option
> -p{imapserver/user=myusername/ssl}.pinerc, which always works fine.  Just
> when I look at the actual .pinerc in my home-dir it tends to get bigger
> and bigger over time. To be precise: in doubles in size every once in a
> while, and I cannot figure out under what circumstances. If I look at the
> .pinerc with Pine (opening it as a mail folder, which it actually is), I
> see 5 'messages', the first one being only some general information, the
> other four being configurations (3 old ones, one actual one). So far so
> good. In the course of a few weeks, the size of the configurations
> increased from 8 to 17 to 33 kB to .... Upon inspection, I saw that each
> configuration message contained one (two, four, ..) sets of the
> configuration settings appended to each other.

For those interested, we settled this off the list.  There is a bug in
pine where this can occur with remote pinercs, and it is most likely to
happen when editing a config in 4.4x and subsequently editing it in
4.50-3.  The bug will be fixed in the next release.

Jeff